Les ver­sions 3.2.7, 3.4.7 et 3.6.1 de Bug­zilla en fran­çais sont dis­po­ni­bles au télé­char­ge­ment sur notre page Bug­zilla. Ces ver­sions cor­ri­gent essen­tiel­le­ment un pro­blème de sécu­rité dans le sys­tème de ges­tion du temps.

Notes de ver­sion

3.6.1

Cette ver­sion cor­rige un bogue de sécu­rité rela­tif à la ges­tion du temps. Con­sul­tez les Notes de sécu­rité pour des détails.

De plus, les cor­rec­tifs/modi­fi­ca­tions sui­vants impor­tants ont été appor­tés dans cette ver­sion :

  • Uti­li­ser la page « Chan­ger les colon­nes » affi­chait par­fois une page en texte brut plu­tôt qu’en HTML. (Bogue 376044)
  • Les exten­sions n’ayant que des tem­pla­tes et pas de code fonc­tion­nent à pré­sent. (Bogue 562551)
  • install-module.pl a été cor­rigé de sorte qu’il ins­talle les modu­les cor­rec­te­ment sur les ancien­nes et les nou­vel­les ver­sions de Perl. (Bogue 560318 et Bogue 560330)
  • Il est main­te­nant pos­si­ble de faire la mise à jour de la ver­sion 3.4 à 3.6 lors le sys­tème de base de don­nées est Ora­cle. (Bogue 561379)
  • L’édi­tion du nom de champ (en uti­li­sant les con­trô­les d’admi­nis­tra­tion du champ dans le pan­neau « Valeurs des champs ») ne fonc­tion­nait pas si la valeur est la valeur par défaut pour ce champ. (Bogue 561296)
  • Si le para­mè­tre noresolveonopenblockers était défini, les bogues ne pou­vaient pas être modi­fiés s’ils étaient mar­qués COR­RIGÉ et avaient des [% terms.bugs %] les blo­quant ouverts. (Le para­mè­tre est uni­que­ment sup­posé empê­cher de modi­fier la réso­lu­tion de bogues en COR­RIGÉ, et pas les [% terms.bugs %] dont la réso­lu­tion est déjà COR­RIGÉ). (Bogue 565314)
  • Des pro­blè­mes mineurs avec Perl 5.12 ont été cor­ri­gés (la plu­part étant des aver­tis­se­ments pro­duits par Perl 5.12). Bug­zilla gère main­te­nant Perl 5.12.
3.4.7

Cette ver­sion cor­rige un bogue de sécu­rité rela­tif à la ges­tion du temps. Con­sul­tez les Notes de sécu­rité pour des détails.

De plus, les cor­rec­tifs/modi­fi­ca­tions sui­vants impor­tants ont été appor­tés dans cette ver­sion :

  • show_bug.cgi (la page d’affi­chage/édi­tion de bogue) devrait à pré­sent être con­si­dé­ra­ble­ment plus rapide quand il y a beau­coup de com­men­tai­res sur un bogue. (Bogue 498309)
  • jobqueue.pl per­dait sa con­nexion à la base de don­nées et arrê­tait d’envoyer des cour­riels quand il était actif depuis long­temps. (Bogue 538705)
  • Lors du char­ge­ment de config.cgi, vous pou­vez main­te­nant spé­ci­fier ?flags=0 dans l’URL pour indi­quer que vous ne vou­lez pas de don­nées d’éti­quet­tes. Ceci accé­lère con­fig.cgi con­si­dé­ra­ble­ment. (Bogue 553267)
  • Se con­nec­ter après avoir changé son mot de passe ren­voyait un mes­sage d’erreur con­fus. (Bogue 549814)
  • Cer­tains plan­ta­ges qui se pro­dui­saient lors de l’uti­li­sa­tion de Post­greSQL en essayant de sup­pri­mer un champ per­son­na­lisé sont main­te­nant cor­ri­gés. (Bogue 557495 et Bogue 557686)
3.2.7

Cette ver­sion cor­rige seu­le­ment un bogue de sécu­rité rela­tif à la ges­tion du temps. Con­sul­ter la sec­tion des cor­rec­tifs de sécu­rité pour des détails.